Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class JAXBExtensionHelper

    java.lang.Object
      org.apache.cxf.wsdl.JAXBExtensionHelper

All Implemented Interfaces:
  javax.wsdl.extensions.ExtensionDeserializer, javax.wsdl.extensions.ExtensionSerializer

    public class JAXBExtensionHelper

extends java.lang.Object
implements javax.wsdl.extensions.ExtensionSerializer, javax.wsdl.extensions.ExtensionDeserializer

JAXBExtensionHelper

Author:
  dkulp

Constructor Summary
`JAXBExtensionHelper(javax.xml.bind.JAXBContext c, java.lang.Class<? extends TExtensibilityElementImpl> cls)`

Method Summary
`static void` | `addExtensions(javax.wsdl.extensions.ExtensionRegistry registry, java.lang.Class<?> parentType, java.lang.Class<? extends TExtensibilityElementImpl> cls)`
`static void` | `addExtensions(javax.wsdl.extensions.ExtensionRegistry registry, java.lang.String parentType, java.lang.String elementType, java.lang.ClassLoader cl)`
`void` | `marshall(java.lang.Class parent, javax.xml.namespace.QName qname, javax.wsdl.extensions.ExtensibilityElement obj, java.io.PrintWriter pw, javax.wsdl.Definition wsdl, javax.wsdl.extensions.ExtensionRegistry registry)`
`javax.wsdl.extensions.ExtensibilityElement` | `unmarshall(java.lang.Class parent, javax.xml.namespace.QName qname, org.w3c.dom.Element element, javax.wsdl.Definition wsdl, javax.wsdl.extensions.ExtensionRegistry registry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JAXBExtensionHelper

    public JAXBExtensionHelper(javax.xml.bind.JAXBContext c,
                               java.lang.Class<? extends TExtensibilityElementImpl> cls)

Method Detail

### addExtensions

    public static void addExtensions(javax.wsdl.extensions.ExtensionRegistry registry,
                                     java.lang.String parentType,
                                     java.lang.String elementType,
                                     java.lang.ClassLoader cl)
                              throws javax.xml.bind.JAXBException,
                                     java.lang.ClassNotFoundException

  Throws:
    `javax.xml.bind.JAXBException`
    `java.lang.ClassNotFoundException`

### addExtensions

    public static void addExtensions(javax.wsdl.extensions.ExtensionRegistry registry,
                                     java.lang.Class<?> parentType,
                                     java.lang.Class<? extends TExtensibilityElementImpl> cls)
                              throws javax.xml.bind.JAXBException

  Throws:
    `javax.xml.bind.JAXBException`

### marshall

    public void marshall(java.lang.Class parent,
                         javax.xml.namespace.QName qname,
                         javax.wsdl.extensions.ExtensibilityElement obj,
                         java.io.PrintWriter pw,
                         javax.wsdl.Definition wsdl,
                         javax.wsdl.extensions.ExtensionRegistry registry)
                  throws javax.wsdl.WSDLException

  Specified by:
    `marshall` in interface `javax.wsdl.extensions.ExtensionSerializer`
  Throws:
    `javax.wsdl.WSDLException`

### unmarshall

    public javax.wsdl.extensions.ExtensibilityElement unmarshall(java.lang.Class parent,
                                                                 javax.xml.namespace.QName qname,
                                                                 org.w3c.dom.Element element,
                                                                 javax.wsdl.Definition wsdl,
                                                                 javax.wsdl.extensions.ExtensionRegistry registry)
                                                          throws javax.wsdl.WSDLException

  Specified by:
    `unmarshall` in interface `javax.wsdl.extensions.ExtensionDeserializer`
  Throws:
    `javax.wsdl.WSDLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

-